import React from 'react';

import { getTypeName } from '../redux/ui';

import style from './MessageBoxButton.styl';

const MessageBoxButton = ({
  children,
  modifiers = [],
  onClick,
}) => (
  <button
    className={[
      style['message-button'],
      ...modifiers.map(m => style[`message-button--${m}`]),
    ]}
    onClick={onClick}
  >
    {children}
  </button>
);

export default MessageBoxButton;
