import React from 'react';

import style from './ServerTableButtons.styl';

const ServerTableButtons = ({
  disableRefreshButton,
  hideCancelButton,
  dispatchRefresh,
  dispatchCancelRefresh,
}) => (
  <div className={style.serverTableButtons}>
    <button
      disabled={disableRefreshButton}
      onClick={dispatchRefresh}
    >
      Refresh
    </button>
    <button
      disabled={hideCancelButton}
      onClick={dispatchCancelRefresh}
    >
      Cancel refresh
    </button>
  </div>
);

export default ServerTableButtons;
