import React from 'react';
import { Provider } from 'react-redux';

import store from './redux';

import MessageBoxes from './containers/MessageBoxes';
import ServerTableWrapper from './components/ServerTableWrapper';

import style from './App.styl';

const App = () => (
  <Provider store={store}>
    <div className={style.app}>
      <MessageBoxes />
      <ServerTableWrapper />
    </div>
  </Provider>
);

export default App;
