import React from 'react';

import MessageBox from '../containers/MessageBox';

const MessageBoxCollection = ({
  messageIds,
}) => ([
  ...messageIds.map(id => (
    <MessageBox key={id} messageId={id} />
  )),
]);

export default MessageBoxCollection;
