import { connect } from 'react-redux';

import { selectors } from '../redux/ui';

import Component from '../components/MessageBoxes';

const mapStateToProps = state => ({
  messageIds: selectors.getMessages(state).map(m => m.id),
});

const ConnectedMessageBoxes = connect(
  mapStateToProps,
)(Component);

export default ConnectedMessageBoxes;
