import { connect } from 'react-redux';

import { selectors } from '../redux/serverlist';

import Component from '../components/ServerTable';

const mapStateToProps = (state, { filter }) => {
  // TODO - filter
  const servers = selectors.getServers(state, filter);
  return ({
    servers: servers.slice(0, 25),
  });
};

const ConnectedMessageBoxes = connect(
  mapStateToProps,
)(Component);

export default ConnectedMessageBoxes;
