import { connect } from 'react-redux';

import * as serverlist from '../redux/serverlist';
import * as serverlistLoader from '../redux/serverlist_loader';

import Component from '../components/ServerTableStatus';

const mapStateToProps = state => ({
  state: serverlistLoader.selectors.getState(state),
  serverCount: serverlist.selectors.getServers(state).length,
});

const ConnectedMessageBoxes = connect(
  mapStateToProps,
)(Component);

export default ConnectedMessageBoxes;
